# Range

- category: UI
- chinese: 区间选择器
- type: UI组件

---

区间选择器

## API

滑块控件主要有以下几种类型： 单个滑块，和区间选择滑块几种类型。

### Range

| 属性  | 说明 | 类型 | 默认值 |
| ----- | ----- | ------ | ----- |
| slider | 指定Range为单个滑块还是区间滑块 | `['single', 'double']` | single |
| defaultValue | 初始值 | number or [number, number]  |
| value | 受控值 | number or [number, number] |
| min | 最小值 | number | 0 |
| max | 最大值 | number | 100 |
| disabled | 是否禁用  | boolean or [false , false] | false
| highPerformance| 是否开启高性能 | bool | true |
| onChange | 改变后的事件, 即拖动停止后的事件 | `function(value)` | undefined |
| onProcess | Range改变中触发的事件 | function | undefined |
| style | range最外层容器的样式|{}||
| handlerStyle | 拖拽handler的样式|{}||
| barStyle | 已选中的拖拽条样式|{}||
| afterBarStyle | 未选中的拖拽条样式|{}||

受控及非受控的概念请参考 [受控与非受控](http://nuke.taobao.org/qa/questions/controlled-components.html?v=20170828)
